ExtLine2Point Example

Using Programming Languages other than VBA

Sub Example_ExtLine2Point()
	' This example creates an aligned dimension and then changes the
	' ExtLine2Point property for that dimension.

	Dim dimObj As AcadDimAligned
	Dim point1(0 To 2) As Double
	Dim point2(0 To 2) As Double
	Dim location(0 To 2) As Double

	' Define the dimension
	point1(0) = 5#: point1(1) = 5#: point1(2) = 0#
	point2(0) = 10#: point2(1) = 5#: point2(2) = 0#
	location(0) = 5#: location(1) = 7#: location(2) = 0#

	' Create an aligned dimension object in model space
	Set dimObj = ThisDrawing.ModelSpace.AddDimAligned(point1, point2, location)
	ZoomAll
	MsgBox "The current value for ExtLine2Point is " & dimObj.ExtLine2Point(0) & ", " & dimObj.ExtLine2Point(1) & ", " & dimObj.ExtLine2Point(2), vbInformation, "ExtLine2Point Example"

	' Change the endpoint of the second extension line
	point1(0) = 12: point1(1) = 5: point1(2) = 0
	dimObj.ExtLine2Point = point1
	dimObj.Update

	' Return the endpoint of the second extension line
	' Note that the return value is a Variant
	Dim retPoint As Variant
	retPoint = dimObj.ExtLine2Point

	MsgBox "The new value for ExtLine2Point is " & dimObj.ExtLine2Point(0) & ", " & dimObj.ExtLine2Point(1) & ", " & dimObj.ExtLine2Point(2), vbInformation, "ExtLine2Point Example"
End Sub

 

   Comments? 
500 Internal Server Error

Internal Server Error

The server encountered an internal error or misconfiguration and was unable to complete your request.

Please contact the server administrator at webmaster@entercad.forsenergy.ru to inform them of the time this error occurred, and the actions you performed just before this error.

More information about this error may be available in the server error log.

Additionally, a 500 Internal Server Error error was encountered while trying to use an ErrorDocument to handle the request.